Feature: Doc view

  Scenario: Navigate from favorites to doc
    Given I am a logged in admin
    And There is one favorite doc
    When I visit the url /spirit_hub
    And I click on the first doc
    Then The url should match "/spirit_hub/tagsets/*/doc/*"

  Scenario: Can download document
    Given I am a logged in admin
    And There is one doc
    When I visit the doc page
    Then I can download the document

  Scenario: Use the pagination
    Given I am a logged in admin
    And There is one doc
    When I visit the doc page
    When I click on the 3rd page in the mini pages
    Then I am on page "3"
    When I click on the last page in the mini pages
    Then I am on page "5"
    When I click on the previous page 4 times
    Then I am on page "1"
    When I click on the next page
    Then I am on page "2"
    When I change the input to 4
    Then I am on page "4"

  Scenario: Can zoom
    Given I am a logged in admin
    And There is one doc
    When I visit the doc page
    And I zoom in
    Then The zoom level should be "125"
    When I zoom out
    Then The zoom level should be "100"
    When I max zoom in
    Then The zoom level should be "300"
    When I max zoom out
    Then The zoom level should be "50"

  Scenario: Validate from doc view
    Given I am a logged in admin
    And There is one doc
    When I visit the doc page
    And I validate the doc
    Then There is no more validation button

  Scenario: Enable Office Online edit
    Given I am a logged in admin
    And There is one wopi editable doc
    When I visit the doc page
    Then I can toggle the button actions
    Then I can click on other actions menu
    Then I can edit with Office Online

  Scenario: Toggle actions from doc view
    Given I am a logged in admin
    And There is one doc
    When I visit the doc page
    Then I can toggle the button actions
    Then I can click on other actions menu
    Then I can not edit with Office Online

  Scenario: Preview updates when document changes
    Given I am a logged in admin
    And There is one doc
    When I visit the doc page
    Then The preview should be visible
    And The preview should have "5" pages
    When Doc get a new file
    Then The preview should be visible
    And The preview should have "1" pages
    And I see a flash message containing "Le document a été mis à jour"